@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --cyan: hsl(180, 66%, 50%); 
    --red: hsl(0, 78%, 60%); 
    --orange: hsl(34, 97%, 64%);
    --blue: hsl(212, 86%, 64%);
    --grey-500: hsl(234, 12%, 34%);
    --grey-400: hsl(229, 24%, 89%);
    --white: hsl(0, 0%, 98%);
}

*,
*::before,
*::after {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   list-style: none;
   text-decoration: none;
}

body {
   min-height: 100vh;
   font-family: 'Poppins',sans-serif;
}

main {
    min-height: 100vh;
    background-color: var(--white);
}

.container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 5rem;
    padding: 6rem 10rem;
}

h1 {
    text-align: center;
    font-size: 2.3rem;
    color: var(--grey-500);
}

.light {
    font-weight: 200;
}


.content {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: .4rem;
}

.content p {
    text-align: center;
    width: min(100%, 550px);
    color: var(--grey-500);
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2rem;
}

.card {
    gap: .4rem;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    aspect-ratio: 1.3;
    border-radius: .35rem;
    box-shadow: 0 10px 10px var(--grey-400);
}

.card img {
    align-self: flex-end;
    margin-top: auto;
}

.card h2 {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--grey-500);
}

.card p {
    font-size: .8rem;
    color: var(--grey-500);
}

.supervisor {
    border-top: .35em solid var(--cyan);
    grid-row: span 4 / span 4;
    grid-column-start: 1;
    grid-row-start: 3;
}

.team {
    border-top: .35em solid var(--red);
    grid-row: span 4 / span 4;
    grid-column-start: 2;
    grid-row-start: 1;
}

.karma {
    border-top: .35em solid var(--orange);
    grid-row: span 4 / span 4;
    grid-column-start: 2;
    grid-row-start: 5;
}

.calculator {
    border-top: .35em solid var(--blue);
    grid-row: span 4 / span 4;
    grid-column-start: 3;
    grid-row-start: 3;
}


@media (max-width:48rem) {
    .container {
        padding: 3rem 1.5rem;
    }
    .grid-container {
        grid-template-columns: repeat(1, 1fr);
        grid-template-rows: auto;
    }

    .supervisor,
    .team,
    .karma,
    .calculator {
        grid-row: auto;
        grid-column: auto;
    }

    h1 {
        font-size: 1.5rem;
    }
}